Index: cprs/trunk/CPRS-Chart/fARTAllgy.dfm
===================================================================
--- cprs/trunk/CPRS-Chart/fARTAllgy.dfm	(revision 456)
+++ cprs/trunk/CPRS-Chart/fARTAllgy.dfm	(revision 830)
@@ -3,14 +3,16 @@
   Left = 339
   Top = 266
-  Width = 561
-  Height = 465
   Caption = 'Enter Allergy or Adverse Reaction'
+  ClientHeight = 438
+  ClientWidth = 553
   Position = poScreenCenter
   OnClose = FormClose
   OnCloseQuery = FormCloseQuery
   OnCreate = FormCreate
+  ExplicitWidth = 561
+  ExplicitHeight = 472
   PixelsPerInch = 96
   TextHeight = 13
-  object pnlBase: TORAutoPanel
+  object pnlBase: TORAutoPanel [0]
     Left = 0
     Top = 0
@@ -37,5 +39,5 @@
       Width = 72
       Height = 21
-      Caption = 'OK'
+      Caption = '&OK'
       TabOrder = 1
       OnClick = cmdOKClick
@@ -47,5 +49,5 @@
       Height = 21
       Cancel = True
-      Caption = 'Cancel'
+      Caption = '&Cancel'
       TabOrder = 2
       OnClick = cmdCancelClick
@@ -58,8 +60,7 @@
       ActivePage = tabGeneral
       MultiLine = True
-      TabIndex = 0
       TabOrder = 0
       object tabGeneral: TTabSheet
-        Caption = '&General'
+        Caption = 'General'
         object lblAgent: TOROffsetLabel
           Left = 7
@@ -186,5 +187,5 @@
           Width = 119
           Height = 17
-          Caption = 'No Known Allergies'
+          Caption = '&No Known Allergies'
           TabOrder = 0
           OnClick = ckNoKnownAllergiesClick
@@ -195,5 +196,5 @@
           Width = 114
           Height = 21
-          Caption = 'Active Allergies'
+          Caption = '&Active Allergies'
           TabOrder = 1
           OnClick = btnCurrentClick
@@ -223,6 +224,12 @@
           Style = orcsDropDown
           AutoSelect = True
-          Color = clWindow
+          Color = clBtnFace
           DropDownCount = 8
+          Enabled = False
+          Font.Charset = DEFAULT_CHARSET
+          Font.Color = clInactiveCaption
+          Font.Height = -11
+          Font.Name = 'MS Sans Serif'
+          Font.Style = []
           ItemHeight = 13
           ItemTipColor = clWindow
@@ -232,4 +239,5 @@
           LookupPiece = 2
           MaxLength = 0
+          ParentFont = False
           ParentShowHint = False
           Pieces = '2,3'
@@ -259,5 +267,5 @@
           Width = 113
           Height = 17
-          Caption = 'Marked On Chart'
+          Caption = '&Marked On Chart'
           Checked = True
           State = cbChecked
@@ -271,5 +279,5 @@
           Width = 97
           Height = 17
-          Caption = 'ID Band Marked'
+          Caption = '&ID Band Marked'
           TabOrder = 17
           OnClick = ControlChange
@@ -320,5 +328,5 @@
           Width = 62
           Height = 21
-          Caption = 'Date/Time'
+          Caption = '&Date/Time'
           TabOrder = 13
           OnClick = btnDateTimeClick
@@ -329,5 +337,5 @@
           Width = 57
           Height = 21
-          Caption = 'Remove'
+          Caption = '&Remove'
           TabOrder = 14
           OnClick = btnRemoveClick
@@ -341,6 +349,6 @@
           Ctl3D = True
           Items.Strings = (
-            'Observed'
-            'Historical')
+            'O&bserved'
+            '&Historical')
           ParentCtl3D = False
           ParentShowHint = False
@@ -388,5 +396,5 @@
           Width = 140
           Height = 21
-          Caption = 'View Previous Observations'
+          Caption = 'View &Previous Observations'
           TabOrder = 6
           OnClick = cmdPrevObsClick
@@ -412,5 +420,5 @@
           Width = 157
           Height = 21
-          Caption = 'View Previous Comments'
+          Caption = '&View Previous Comments'
           TabOrder = 16
           OnClick = cmdPrevCmtsClick
@@ -444,5 +452,5 @@
           Width = 21
           Height = 21
-          Caption = '?'
+          Caption = '&?'
           Font.Charset = DEFAULT_CHARSET
           Font.Color = clWindowText
@@ -456,5 +464,5 @@
       end
       object tabVerify: TTabSheet
-        Caption = '&Verify'
+        Caption = 'Verify'
         ImageIndex = 3
         object lblVerifier: TOROffsetLabel
@@ -485,5 +493,5 @@
           Width = 69
           Height = 17
-          Caption = 'Verified'
+          Caption = '&Verified'
           TabOrder = 0
           OnClick = ControlChange
@@ -548,4 +556,5 @@
           Font.Style = [fsBold]
           ParentFont = False
+          ExplicitWidth = 83
         end
         object ckEnteredInError: TCheckBox
@@ -554,5 +563,5 @@
           Width = 203
           Height = 17
-          Caption = 'Mark this allergy as "Entered In Error"'
+          Caption = '&Mark this allergy as "Entered In Error"'
           TabOrder = 0
           Visible = False
@@ -602,6 +611,108 @@
     end
   end
+  inherited amgrMain: TVA508AccessibilityManager
+    Data = (
+      (
+        'Component = pnlBase'
+        'Status = stsDefault')
+      (
+        'Component = cmdOK'
+        'Status = stsDefault')
+      (
+        'Component = cmdCancel'
+        'Status = stsDefault')
+      (
+        'Component = pgAllergy'
+        'Status = stsDefault')
+      (
+        'Component = tabGeneral'
+        'Status = stsDefault')
+      (
+        'Component = ckNoKnownAllergies'
+        'Status = stsDefault')
+      (
+        'Component = btnCurrent'
+        'Status = stsDefault')
+      (
+        'Component = lstAllergy'
+        'Status = stsDefault')
+      (
+        'Component = cboOriginator'
+        'Status = stsDefault')
+      (
+        'Component = calOriginated'
+        'Status = stsDefault')
+      (
+        'Component = ckChartMarked'
+        'Status = stsDefault')
+      (
+        'Component = ckIDBand'
+        'Status = stsDefault')
+      (
+        'Component = cboSymptoms'
+        'Status = stsDefault')
+      (
+        'Component = lstSelectedSymptoms'
+        'Status = stsDefault')
+      (
+        'Component = btnDateTime'
+        'Status = stsDefault')
+      (
+        'Component = btnRemove'
+        'Status = stsDefault')
+      (
+        'Component = grpObsHist'
+        'Status = stsDefault')
+      (
+        'Component = cboSeverity'
+        'Status = stsDefault')
+      (
+        'Component = calObservedDate'
+        'Status = stsDefault')
+      (
+        'Component = cmdPrevObs'
+        'Status = stsDefault')
+      (
+        'Component = memComments'
+        'Status = stsDefault')
+      (
+        'Component = cmdPrevCmts'
+        'Status = stsDefault')
+      (
+        'Component = cboNatureOfReaction'
+        'Status = stsDefault')
+      (
+        'Component = btnSevHelp'
+        'Status = stsDefault')
+      (
+        'Component = tabVerify'
+        'Status = stsDefault')
+      (
+        'Component = ckVerified'
+        'Status = stsDefault')
+      (
+        'Component = cboVerifier'
+        'Status = stsDefault')
+      (
+        'Component = calVerifyDate'
+        'Status = stsDefault')
+      (
+        'Component = tabEnteredInError'
+        'Status = stsDefault')
+      (
+        'Component = ckEnteredInError'
+        'Status = stsDefault')
+      (
+        'Component = memErrCmts'
+        'Status = stsDefault')
+      (
+        'Component = cboAllergyType'
+        'Status = stsDefault')
+      (
+        'Component = frmARTAllergy'
+        'Status = stsDefault'))
+  end
   object dlgReactionDateTime: TORDateTimeDlg
-    FMDateTime = 2981202
+    FMDateTime = 2981202.000000000000000000
     DateOnly = False
     RequireTime = False
